ALTER TABLE TBL_CUSTOMER DROP CONSTRAINT TBL_CUSTOMER_COMPANY_FK;

DROP INDEX UNIQ_TBL_COMPANY;

DROP SEQUENCE ID_TBL_CUSTOMER;
DROP SEQUENCE ID_TBL_COMPANY;

DROP TABLE TBL_CUSTOMER;
DROP TABLE TBL_COMPANY;

--
-- TBL_CUSTOMER
--
CREATE TABLE TBL_CUSTOMER (
    ID          INTEGER         PRIMARY KEY,
    NAME_LAST   VARCHAR(20)     NOT NULL,
    NAME_FIRST  VARCHAR(20)     NOT NULL,
    EMAIL       VARCHAR(50),
    COMPANY_ID  INTEGER         NOT NULL
);

--
-- TBL_COMPANY
--
CREATE TABLE TBL_COMPANY (
    ID          INTEGER         PRIMARY KEY,
    NAME        VARCHAR(50)    NOT NULL
);

--
-- CONSTRAINTS
--
ALTER TABLE TBL_CUSTOMER ADD CONSTRAINT TBL_CUSTOMER_COMPANY_FK
    FOREIGN KEY (COMPANY_ID) REFERENCES TBL_COMPANY (ID);

--
-- INDEXES
--
CREATE UNIQUE INDEX UNIQ_TBL_COMPANY ON TBL_COMPANY(NAME);

--
-- SEQUENCE
--
CREATE SEQUENCE ID_TBL_CUSTOMER START WITH 2000;
CREATE SEQUENCE ID_TBL_COMPANY START WITH 1003;

--
-- INSERT TEST DATA
--
INSERT INTO TBL_COMPANY (ID, NAME) VALUES (1001,'RnEX()');
INSERT INTO TBL_COMPANY (ID, NAME) VALUES (1002,'ZCw()');
INSERT INTO TBL_COMPANY (ID, NAME) VALUES (1003,'()G[r[V[');

INSERT INTO TBL_CUSTOMER (ID, NAME_LAST, NAME_FIRST, EMAIL, COMPANY_ID)
VALUES (2001, 'c', 'Y', 'oda@yhouse.com', 1001);
INSERT INTO TBL_CUSTOMER (ID, NAME_LAST, NAME_FIRST, EMAIL, COMPANY_ID)
VALUES (2002, 'c', 'a', 'okuda@yhouse.com', 1001);
INSERT INTO TBL_CUSTOMER (ID, NAME_LAST, NAME_FIRST, EMAIL, COMPANY_ID)
VALUES (2003, '', '', 'katoh@seire.com',  1002);
INSERT INTO TBL_CUSTOMER (ID, NAME_LAST, NAME_FIRST, EMAIL, COMPANY_ID)
VALUES (2004, '', 'aF', 'suzuki@seire.com', 1002);
INSERT INTO TBL_CUSTOMER (ID, NAME_LAST, NAME_FIRST, EMAIL, COMPANY_ID)
VALUES (2005, '', 'V', 'hirai@seire.com', 1002);
INSERT INTO TBL_CUSTOMER (ID, NAME_LAST, NAME_FIRST, EMAIL, COMPANY_ID)
VALUES (2006, 'R', '', 'fukuyama@abc.com', 1003);
INSERT INTO TBL_CUSTOMER (ID, NAME_LAST, NAME_FIRST, EMAIL, COMPANY_ID)
VALUES (2007, 'gc', '뎡', 'yoshida@abc.com', 1003);
