/*
 * CustomerCriteria.java
 */

package com.example.business;

import java.io.Serializable;

/**
 * Search criteria for CustomerService interface.
 */
public class CustomerCriteria implements Serializable {
    
    /**
     * Holds value of property name.
     */
    private String name;

    /**
     * Getter for property name.
     * @return Value of property name.
     */
    public String getName() {

        return this.name;
    }

    /**
     * Setter for property name.
     * @param name New value of property name.
     */
    public void setName(String name) {

        this.name = name;
    }

    /**
     * Holds value of property company.
     */
    private String company;

    /**
     * Getter for property company.
     * @return Value of property company.
     */
    public String getCompany() {

        return this.company;
    }

    /**
     * Setter for property company.
     * @param company New value of property company.
     */
    public void setCompany(String company) {

        this.company = company;
    }

    /**
     * Clear all property values.
     */
    public void clear() {
        name = null;
        company = null;
    }
    
    /**
     * Convert this object to String.
     * @return string representation of this object.
     */
    public String toString() {
        return "{name=" + name + ", company=" + company + "}";
    }
}
