/*
 * CustomerDAO.java
 */

package com.example.integration;

import java.util.List;

/**
 * Customer DAO interface.
 */
public interface CustomerDAO {
    
    /**
     * Finds customers by customer name and company name.
     *
     * @param name customer name.
     * @param company company name.
     * @return the list of CustomerBO.
     */
    public List find(String name, String company);
    
    /**
     * Delete customer which has the specified id.
     *
     * @param id customer id.
     */
    public void delete(int id);
}
