/*
 * DataAccessException.java
 */

package com.example.integration;

/**
 * Thrown to indicate the DAO related exception has occurred.
 */
public class DataAccessException extends RuntimeException {
    
    /**
     * Constructs an exception with the specified detail message.
     * @param message the details message.
     */
    public DataAccessException(String message) {
        super(message);
    }
    
    /**
     * Constructs an exception with the specified detail message and cause.
     * @param message the details message.
     * @param cause the cause.
     */
    public DataAccessException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs an exception with the specified cause
     * @param cause the cause.
     */
    public DataAccessException(Throwable cause) {
        super(cause);
    }
}
