/*
 * HibernateInterceptor.java
 *
 */

package com.example.interceptor.hibernate;

import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;
import com.example.integration.HibernateUtil;

/**
 * Hibernate Interceptor.
 */
class HibernateInterceptor implements MethodInterceptor {
    /**
     * Implementation of around advice.
     */
    public Object invoke(MethodInvocation inv) throws Throwable {
        try {
            return inv.proceed();
        } finally {
            HibernateUtil.closeAllSessions();
        }
    }
}
