/*
 * CustomerBO.java
 */

package com.example.model;

import java.io.Serializable;
//import javax.persistence.Entity;
//import javax.persistence.Table;
//import javax.persistence.Id;
//import javax.persistence.GeneratorType;
//import javax.persistence.Column;
//import javax.persistence.Embedded;
//import javax.persistence.Embeddable;
//import javax.persistence.AttributeOverride;
//import javax.persistence.AttributeOverrides;
//import javax.persistence.ManyToOne;
//import javax.persistence.CascadeType;
//import javax.persistence.JoinColumn;

/**
 * Domain model of customer.
 */
//@Entity
//@Table(name="TBL_CUSTOMER")
public class CustomerBO implements Serializable {
    
    /**
     * Default constructor.
     */
    public CustomerBO() {
    }
    
    /**
     * Constructor.
     * @param id New value of property id.
     * @param last New value of property last.
     * @param first New value of property first.
     * @param email New value of property email.
     * @param company New value of property company.
     */
    public CustomerBO(int id, String last, String first,
            String email, CompanyBO company) {
        this.id = id;
        this.email = email;
        this.name = new CustomerNameBO(last, first);
        this.company = company;
        
    }
    /**
     * Holds value of property name.
     */
    private CustomerNameBO name;

    /**
     * Getter for property name.
     * @return Value of property name.
     */
//    @Embedded
//    @AttributeOverrides({
//        @AttributeOverride(name="last", column=@Column(name="NAME_LAST")),
//        @AttributeOverride(name="first", column=@Column(name="NAME_FIRST"))
//    })
    public CustomerNameBO getName() {

        return this.name;
    }

    /**
     * Setter for property name.
     * @param name New value of property name.
     */
    public void setName(CustomerNameBO name) {

        this.name = name;
    }

    /**
     * Holds value of property company.
     */
    private CompanyBO company;

    /**
     * Getter for property company.
     * @return Value of property company.
     */
//    @ManyToOne(cascade={CascadeType.PERSIST, CascadeType.REFRESH})
//    @JoinColumn(name="COMPANY_ID", nullable=false)
    public CompanyBO getCompany() {

        return this.company;
    }

    /**
     * Setter for property company.
     * @param company New value of property company.
     */
    public void setCompany(CompanyBO company) {

        this.company = company;
    }

    /**
     * Holds value of property id.
     */
    private int id;

    /**
     * Getter for property id.
     * @return Value of property id.
     */
//    @Id(generate=GeneratorType.SEQUENCE, generator="ID_TBL_CUSTOMER")
    public int getId() {

        return this.id;
    }

    /**
     * Setter for property id.
     * @param id New value of property id.
     */
    public void setId(int id) {

        this.id = id;
    }

    /**
     * Holds value of property email.
     */
    private String email;

    /**
     * Getter for property email.
     * @return Value of property email.
     */
//    @Column(name="EMAIL", length=50)
    public String getEmail() {

        return this.email;
    }

    /**
     * Setter for property email.
     * @param email New value of property email.
     */
    public void setEmail(String email) {

        this.email = email;
    }

    /**
     * Convert this object to String.
     * @return string representation of this object.
     */
    public String toString() {
        return "{id=" + id + ", name=" + name + ", email=" + email
                + ", company=" + company + "}";
    }
}
