/*
 * ResourceUtil.java
 */

package com.example.util;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

/**
 * Resource utility class.
 */
public class ResourceUtil {

    /** Reads resource file for the specified class c.
     * @param c class for resource
     * @param name resource name
     * @encoding encoding
     * @return string representation of resource file.
     */
    public static String getResourceAsString(Class c,
            String name, String encoding) throws IOException {
        InputStream is = c.getResourceAsStream(name);
        if (is == null) {
            throw new FileNotFoundException(
                    "Template file is not found; " + name);
        }
        BufferedReader rd =
                new BufferedReader(new InputStreamReader(is, encoding));
        StringBuffer buf = new StringBuffer();
        
        for (String line = null; (line = rd.readLine()) != null;) {
            buf.append(line).append("\n");
        }
        return buf.toString();
    }
}
