/*
 * CustomerDAOImplTest.java
 * JUnit based test
 *
 */

package com.example.integration;

import junit.framework.*;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.FetchMode;
import org.hibernate.criterion.Expression;
import org.hibernate.criterion.MatchMode;
import org.hibernate.criterion.Order;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import com.example.model.CustomerBO;
import com.example.model.CompanyBO;

/**
 * CustomerDAOImplTest
 *
 */
public class CustomerDAOImplTest extends TestCase {
    
    private CustomerDAO dao;
    
    protected void setUp() throws Exception {
        super.setUp();
        ApplicationContext ctx = new ClassPathXmlApplicationContext(
                "*-context.xml");
        dao = (CustomerDAO) ctx.getBean("customerDAO");
    }
    
    protected void tearDown() throws Exception {
        HibernateUtil.closeAllSessions();
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(CustomerDAOImplTest.class);
        
        return suite;
    }
    
    /**
     * Test of find method, of class com.example.integration.CustomerDAOImpl.
     */
    public void testFind() {
        System.out.println("testFind");
        List result = dao.find(null, null);
        System.out.println("result=" + result);
        assertEquals("result size not correct", 7, result.size());

        result = dao.find("田", null);
        System.out.println("result=" + result);
        assertEquals("result size not correct", 3, result.size());

        result = dao.find("木和彦", null);
        System.out.println("result=" + result);
        assertEquals("result size not correct", 1, result.size());

        result = dao.find(null, "エービーシー");
        System.out.println("result=" + result);
        assertEquals("result size not correct", 2, result.size());
    }
    
    /**
     * Test of delete method, of class com.example.integration.CustomerDAOImpl.
     */
    public void testDelete() {
        System.out.println("testDelete");

        dao.delete(2001);
        List result = dao.find("蟆冗伐", null);
        assertEquals("delete failed.", 0, result.size());
    }
    
}
