<?xml version="1.0" encoding="UTF-8"?>
<html xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:jsp="http://java.sun.com/JSP/Page">
  <jsp:directive.page contentType="text/html;charset=UTF-8" 
                      pageEncoding="UTF-8"/>
  <f:view>
    <head>
      <title>Customer List</title>
    </head>
    <body>
      <h:outputText style="font-size: 24px" value="顧客検索"/>
      <h:outputText value="（ユーザ: #{facesContext.externalContext.userPrincipal.name}）"/>
      <h:form>
        <table>
          <tr>
            <td align="right">
              <h:outputText value="氏名"/>
            </td>
            <td align="left">
              <h:inputText value="#{listBean.criteria.name}"/>
            </td>
          </tr>
          <tr>
            <td align="right">
              <h:outputText value="会社名"/>
            </td>
            <td align="left">
              <h:inputText value="#{listBean.criteria.company}"/>
            </td>
          </tr>
        </table>
        <h:commandButton value="検索"
                        action="#{listBean.find}"/>
        <h:commandButton value="リセット"
                        actionListener="#{listBean.clear}"/>
        <h:dataTable border="1" 
                     value="#{listBean.customerList}" 
                     var="customer">
          <h:column>
            <f:facet name="header">
              <h:outputText value="氏名"/>
            </f:facet>
            <h:outputText value="#{customer.name.last} #{customer.name.first}"/>
          </h:column>
          <h:column>
            <f:facet name="header">
              <h:outputText value="会社"/>
            </f:facet>
            <h:outputText value="#{customer.company.name}"/>
          </h:column>
          <h:column>
            <h:commandButton value="詳細" immediate="true"
                            action="#{listBean.select}"/>
          </h:column>
          <h:column>
            <h:commandButton value="削除" immediate="true"
                            action="#{listBean.delete}"/>
          </h:column>
        </h:dataTable>
      </h:form>
    </body>
  </f:view>
</html>
